Skip to content

Make a color transparent

POST
/v1/process/color-to-alpha

Replace a specific color with transparency. The tolerance parameter controls how similar a pixel must be to the target color to be made transparent.

This is a free operation — no credits charged.

object
color
required

Hex color to make transparent (#RRGGBB).

string
input_image_url
required

HTTPS URL of the image.

string
tolerance

Color distance tolerance (0-255, default 10). Higher = more aggressive.

null | integer

OK

object
content_type

MIME type of the output image.

string
expires_at

ISO 8601 expiry time of the signed URL.

string
image_url

Signed URL of the processed image. Expires in 1 hour.

string
operation

Processing operation performed.

string

Bad Request

object
details
error
string
message
string
request_id
string

Unauthorized

object
details
error
string
message
string
request_id
string

Payment Required

object
details
error
string
message
string
request_id
string

Forbidden

object
details
error
string
message
string
request_id
string

Not Found

object
details
error
string
message
string
request_id
string

Conflict

object
details
error
string
message
string
request_id
string

Unprocessable Entity

object
details
error
string
message
string
request_id
string

Too Many Requests

object
details
error
string
message
string
request_id
string

Unavailable For Legal Reasons

object
details
error
string
message
string
request_id
string

Internal Server Error

object
details
error
string
message
string
request_id
string

Bad Gateway

object
details
error
string
message
string
request_id
string

Service Unavailable

object
details
error
string
message
string
request_id
string